/**
 * @file        API文档标签定义
 * @author      hotok
 * @date        2025-06-29
 * @lastEditor  hotok
 * @lastEditTime 2025-06-29
 * @description 统一管理Swagger文档中的标签，便于接口分类和文档组织
 */

/**
 * API文档标签枚举
 * @description 用于Swagger文档的接口分类
 */
export const tags = {
    /** 用户相关接口 */
    user: 'User',
    /** 认证相关接口 */
    auth: 'Auth',
    /** 健康检查接口 */
    health: 'Health',
    /** 测试接口 */
    test: 'Test',
    /** 样例接口 */
    example: 'example',
    /** 文件上传接口 */
    upload: 'Upload',
    /** 系统管理接口 */
    system: 'System',
    /** 权限管理接口 */
    permission: 'Permission',
} as const;

/**
 * 标签类型定义
 */
export type ApiTag = typeof tags[keyof typeof tags];